import { TDengineRestfulResponse } from '../interfaces/response/tdengine-restful.response.interface';
import { FormatUtil } from './format.util';
export declare class QueryUtil {
    private readonly formatUtil;
    constructor(formatUtil: FormatUtil);
    /**
     * 解析查询原始数据
     * @param param0 查询原始数据
     * @returns 解析后的数据
     */
    resolve<T>({ column_meta: columnMeta, data }: TDengineRestfulResponse): T[];
    /**
     * 解析count方法查询原始数据
     * @param param0 查询原始数据
     * @returns 数量
     */
    resolveCount({ column_meta: columnMeta, data }: TDengineRestfulResponse): number;
}
